- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
passwd Struct Reference
Evil » Pwd.h functions

A structure that describes a password. More...

## Data Fields
char * | pw_name
| user name
char * | pw_passwd
| encrypted password (always `NULL`)
uid_t | pw_uid
| user uid
gid_t | pw_gid
| user gid (always O)
time_t | pw_change
| password change time (always 0)
char * | pw_class
| user access class (always `NULL`)
char * | pw_gecos
| Honeywell login info.
char * | pw_dir
| home directory
char * | pw_shell
| default shell
time_t | pw_expire
| account expiration (always O)
int | pw_fields
| internal: fields filled in (always O)

## Detailed Description

A structure that describes a password.